%define         _state          stable
%define         orgname         smokekde
%define         qtver           4.8.0

Summary:	smokekde - A SMOKE library
Summary(pl.UTF-8):	smokekde - Biblioteka SMOKE
Name:		kde4-smokekde
Version:	4.10.5
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	9228e011bc27ba96a44a7912a9f7a4cf
URL:		http://www.kde.org/
BuildRequires:	akonadi-devel
BuildRequires:	attica-devel
BuildRequires:	kde4-kate-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	kde4-okular-devel >= %{version}
BuildRequires:	kde4-smokeqt-devel >= %{version}
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Obsoletes:	kde4-kdebindings-smoke-kde < 4.6.99
Obsoletes:	smokekde <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMOKE library (Scripting Meta Object Kompiler Engine).

%description -l pl.UTF-8
Biblioteka SMOKE (Scripting Meta Object Kompiler Engine - silnik
kompilatora metaobiektów skryptowych).

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-smokeqt-devel >= %{version}
Obsoletes:	kde4-kdebinings-smoke-devel < 4.6.99
Obsoletes:	smokekde-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libsmoke*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmoke*.so.?

%files devel
%defattr(644,root,root,755)
%{_includedir}/smoke/*.h
%{_datadir}/smokegen/kde-config.xml
%attr(755,root,root) %{_libdir}/libsmoke*.so
%changelog
* Wed Jul 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-smokekde.git;a=log;h=master

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f550a5
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 910f15e
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> ba10deb
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 5f01451
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> c8b4d35
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 044f268
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> ceb76dc
- add missing BR: shared-desktop-ontologies-devel for full nepomuk support, release 2.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> c15fa44
- TODO added.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 807f67e
- updated to 4.9.0.

* Thu Jun 28 2012 Jan Rękorajski <baggins@pld-linux.org> 4de5647
- 4.8.4

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 999b930
- up to 4.8.0; now as kde4-smokekde

* Tue Dec 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a075e1c
- release 2

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b77e245
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c4c7090
- rel 3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> befc7d3
- rel 2; BR kate-devel

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8790514
- rel 1; files updated (builds now with smokegen with hack patch applied)

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e90bbfb
- up to 4.7.1

